Package org.globus.ftp.examples

# Class LocalCredentialHelper

java.lang.Object
org.globus.ftp.examples.LocalCredentialHelper

public class LocalCredentialHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`LocalCredentialHelper()`

## Method Summary

Modifier and Type
Method
Description
`GSSCredential`
`getCredential(File proxyFile)`
`GSSCredential`
`getDefaultCredential()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalCredentialHelper

public LocalCredentialHelper()

## Method Details

### getDefaultCredential

public GSSCredential getDefaultCredential() throws IOException, GSSException

Throws:
  `IOException`
  `GSSException`

### getCredential

public GSSCredential getCredential(File proxyFile) throws IOException, GSSException

Throws:
  `IOException`
  `GSSException`